org.apache.maven.plugin.resources

## Class PropertyUtils

- java.lang.Object
- - org.apache.maven.plugin.resources.PropertyUtils

Deprecated.
use classes in the component maven-filtering TODO remove the class ?

    public final class PropertyUtils
    extends Object

Version:
  $Id: PropertyUtils.java 695189 2008-09-14 11:09:20Z bentmann $
Author:
  Kenney Westerhof, William Ferguson

### Method Summary

Methods
`static Properties` `loadPropertyFile(File propfile, boolean fail, boolean useSystemProps)` Deprecated. Reads a property file, resolving all internal variables.
`static Properties` `loadPropertyFile(File propFile, Properties baseProps)` Deprecated. Reads a property file, resolving all internal variables, using the supplied base properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### loadPropertyFile

    public static Properties loadPropertyFile(File propFile,
                              Properties baseProps)
                                       throws IOException

Deprecated.
Reads a property file, resolving all internal variables, using the supplied base properties.

The properties are resolved iteratively, so if the value of property A refers to property B, then after resolution the value of property B will contain the value of property B.

Parameters:
  `propFile` - The property file to load.
  `baseProps` - Properties containing the initial values to subsitute into the properties file.
Returns:
  Properties object containing the properties in the file with their values fully resolved.
Throws:
  `IOException` - if profile does not exist, or cannot be read.

#### loadPropertyFile

    public static Properties loadPropertyFile(File propfile,
                              boolean fail,
                              boolean useSystemProps)
                                       throws IOException

Deprecated.
Reads a property file, resolving all internal variables.

Parameters:
  `propfile` - The property file to load
  `fail` - wheter to throw an exception when the file cannot be loaded or to return null
  `useSystemProps` - wheter to incorporate System.getProperties settings into the returned Properties object.
Returns:
  the loaded and fully resolved Properties object
Throws:
  `IOException`